> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/uof/api-and-structure/api/static-sport-event-information/all-sport-events-for-a-specific-date-endpoint/endpoint.md).

# Endpoint

## All sport events for a specific date

> Lists all sport events scheduled to start a specified date (UTC). 'date' is an ISODate (e.g. 2016-03-31). \[XML schema]\(<https://sportradar-unifiedfeed.s3.eu-central-1.amazonaws.com/xsd/endpoints/unified/schedule.xsd>)

```json
{"openapi":"3.0.3","info":{"title":"Betradar API","version":"1.0.0"},"servers":[{"url":"https://global.api.betradar.com/v1"}],"security":[{"key":[]}],"components":{"securitySchemes":{"key":{"type":"apiKey","in":"header","name":"x-access-token"}}},"paths":{"/sports/{language}/schedules/{date}/schedule.xml":{"get":{"summary":"All sport events for a specific date","description":"Lists all sport events scheduled to start a specified date (UTC). 'date' is an ISODate (e.g. 2016-03-31). [XML schema](https://sportradar-unifiedfeed.s3.eu-central-1.amazonaws.com/xsd/endpoints/unified/schedule.xsd)","operationId":"eventsAtDate","tags":["Static sport event information"],"parameters":[{"name":"language","description":"Language code for translation.","in":"path","required":true,"schema":{"type":"string"},"default":"en"},{"name":"date","description":"The date, in ISODate format (YYYY-MM-DD).","in":"path","required":true,"schema":{"type":"string"},"default":"2016-03-31"}],"responses":{"200":{"description":"successful operation","content":{"application/xml":{}}},"401":{"description":"Unauthorized","content":{"application/json":{}}},"403":{"description":"Access denied","content":{"application/json":{}}},"500":{"description":"Internal server error","content":{"application/json":{}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportradar.com/uof/api-and-structure/api/static-sport-event-information/all-sport-events-for-a-specific-date-endpoint/endpoint.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
